com.collabnet.ce.soap60.webservices.news

## Class NewsPostSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.news.NewsPostSoapDO

-     public class NewsPostSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  This class represents the data associated with a news posting.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsPostSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBody()` Returns 'body'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setBody(String body)` Sets 'body'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsPostSoapDO

          public NewsPostSoapDO()

  - ### Method Detail

    - #### getBody

          public String getBody()

      Returns 'body'. News post content.
      Returns:
        Value of 'body'.

    - #### setBody

          public void setBody(String body)

      Sets 'body'. News post content.
      Parameters:
        `body` - Value of 'body'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.